Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514956 - [abrt] gnome-calendar: gtk_stack_set_visible_child_name(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: gtk_stack_set_visible_child_name(): gnome-calendar kil...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c6bb73b251301035ff4a159cb17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 17:10 UTC by lennart_reuther
Modified: 2018-08-02 15:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:32:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-19 17:10 UTC, lennart_reuther
no flags Details
File: cgroup (deleted)
2017-11-19 17:10 UTC, lennart_reuther
no flags Details
File: core_backtrace (deleted)
2017-11-19 17:10 UTC, lennart_reuther
no flags Details
File: cpuinfo (deleted)
2017-11-19 17:10 UTC, lennart_reuther
no flags Details
File: dso_list (deleted)
2017-11-19 17:10 UTC, lennart_reuther
no flags Details
File: environ (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: exploitable (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: limits (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: maps (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: mountinfo (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: open_fds (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: proc_pid_status (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details
File: var_log_messages (deleted)
2017-11-19 17:11 UTC, lennart_reuther
no flags Details

Description lennart_reuther 2017-11-19 17:10:45 UTC
Version-Release number of selected component:
gnome-calendar-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=01d0dc94c90e46c89e4dc8a349600c0c;i=6b677;b=015199905c314d088f2ebea3bd26077c;m=c90aaa610;t=55e55b2e13a2d;x=a6cdae6e540aa821
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 gcal_year_view_component_removed at ../src/views/gcal-year-view.c:1896
 #2 gcal_year_view_component_changed at ../src/views/gcal-year-view.c:1935
 #3 cal_data_model_foreach_subscriber_in_range at ../contrib/evolution/e-cal-data-model.c:619
 #4 cal_data_model_process_added_component at ../contrib/evolution/e-cal-data-model.c:901
 #5 cal_data_model_process_modified_or_added_objects at ../contrib/evolution/e-cal-data-model.c:1242
 #6 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:2026
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 cal_client_view_emit_objects_added_idle_cb at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-client-view.c:215
 #15 g_main_context_iteration at gmain.c:3947

Potential duplicate: bug 1468820

Comment 1 lennart_reuther 2017-11-19 17:10:51 UTC
Created attachment 1355252 [details]
File: backtrace

Comment 2 lennart_reuther 2017-11-19 17:10:52 UTC
Created attachment 1355253 [details]
File: cgroup

Comment 3 lennart_reuther 2017-11-19 17:10:54 UTC
Created attachment 1355254 [details]
File: core_backtrace

Comment 4 lennart_reuther 2017-11-19 17:10:55 UTC
Created attachment 1355255 [details]
File: cpuinfo

Comment 5 lennart_reuther 2017-11-19 17:10:57 UTC
Created attachment 1355256 [details]
File: dso_list

Comment 6 lennart_reuther 2017-11-19 17:11:00 UTC
Created attachment 1355257 [details]
File: environ

Comment 7 lennart_reuther 2017-11-19 17:11:01 UTC
Created attachment 1355258 [details]
File: exploitable

Comment 8 lennart_reuther 2017-11-19 17:11:03 UTC
Created attachment 1355259 [details]
File: limits

Comment 9 lennart_reuther 2017-11-19 17:11:06 UTC
Created attachment 1355260 [details]
File: maps

Comment 10 lennart_reuther 2017-11-19 17:11:08 UTC
Created attachment 1355261 [details]
File: mountinfo

Comment 11 lennart_reuther 2017-11-19 17:11:09 UTC
Created attachment 1355262 [details]
File: open_fds

Comment 12 lennart_reuther 2017-11-19 17:11:11 UTC
Created attachment 1355263 [details]
File: proc_pid_status

Comment 13 lennart_reuther 2017-11-19 17:11:12 UTC
Created attachment 1355264 [details]
File: var_log_messages

Comment 14 Kyriakos Fytrakis 2017-12-07 17:23:24 UTC
*** Bug 1523313 has been marked as a duplicate of this bug. ***

Comment 15 Nicolas KAROLAK 2018-01-09 10:25:50 UTC
*** Bug 1532556 has been marked as a duplicate of this bug. ***

Comment 16 Tim Waugh 2018-02-02 12:10:10 UTC
Similar problem has been detected:

Seems to happen when closing the application.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=3b6e58ae34164b28b236f1b24ad40b84;i=1c9f7e;b=988baa57809a491cad53e89d8b72e178;m=2c1cbaa91;t=56439803bf496;x=4ba39f4ab81211b2
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-calendar-3.26.3-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Marcel Hetzendorfer 2018-03-06 16:02:12 UTC
Similar problem has been detected:

Closed the calender application

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=d47bf1a6370c4d14b43862c3e7a0a98b;i=b6ea6;b=ef0da60a920c43f890d2bc23cbf2e23f;m=2fa3988c3;t=566c06bf5d122;x=3c2c72a71f4fe498
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-calendar-3.26.3-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Niko 2018-03-14 20:55:44 UTC
Similar problem has been detected:

maybe related to https://bugzilla.redhat.com/show_bug.cgi?id=1554936, but don't know what caused the problem at that point

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-calendar
journald_cursor: s=1065d18b737a4a0eaf0f32d4eeea1224;i=2449a;b=38f59980015846e495dd221614a57265;m=43346751c;t=56763277dbb5e;x=ca351e6557fcdac0
kernel:         4.15.7-300.fc27.x86_64
package:        gnome-calendar-3.26.3-1.fc27
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Gil Forcada 2018-04-23 09:27:52 UTC
*** Bug 1570573 has been marked as a duplicate of this bug. ***

Comment 20 Alexis Engelke 2018-05-16 05:55:34 UTC
*** Bug 1578657 has been marked as a duplicate of this bug. ***

Comment 21 Igor Gnatenko 2018-08-02 15:32:48 UTC
Please test with latest updates and reopen if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.